# Users Object

> Source: https://truto.one/docs/api-reference/unified-lms-api/users/

Schema for the `Users` resource in **Unified LMS API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for the user
- **`first_name`** _(string)_
  The user's first name
- **`last_name`** _(string)_
  The user's last name
- **`name`** _(string)_
  The user's name
- **`username`** _(string)_
  The user's username or login identifier, when different from email
- **`emails`** _(array<object>)_
  The emails of the user
  - **`email`** _(string)_
    The email address
  - **`type`** _(string)_
    The type of email address
  - **`is_primary`** _(boolean)_
    Whether the email address is primary
- **`status`** _(string)_
  The lifecycle status of the user in the LMS
  Allowed: `active`, `inactive`, `invited`, `suspended`, `deleted`, `unknown`
- **`role`** _(string)_
  The primary role of the user in the LMS
  Allowed: `learner`, `instructor`, `admin`, `manager`, `other`
- **`phones`** _(array<object>)_
  The phones of the user
  - **`number`** _(string)_
    The phone number
  - **`extension`** _(string)_
    The extension of the phone number
  - **`type`** _(string)_
    The type of phone number
- **`locale`** _(string)_
  The locale of the user, when available. Example: en-US
- **`timezone`** _(string)_
  The timezone of the user, when available. Example: Asia/Kolkata
- **`job_title`** _(string)_
  The user's job title, when available
- **`organization`** _(object)_
  The organization or tenant the user belongs to, when available
  - **`id`** _(string)_
    The unique identifier for an organization
  - **`name`** _(string)_
    The name of the organization
- **`manager`** _(object)_
  The user's manager, when available
  - **`id`** _(string)_
    The unique identifier for a user
  - **`name`** _(string)_
    The name of the user
  - **`emails`** _(array<object>)_
    The emails of the user
    - **`email`** _(string)_
      The email address
    - **`type`** _(string)_
      The type of email address
    - **`is_primary`** _(boolean)_
      Whether the email address is primary
- **`created_at`** _(string)_
  The date and time the user record was created
- **`updated_at`** _(string)_
  The date and time the user record was last updated
- **`custom_fields`** _(object)_
  Provider or customer specific fields mapped into a flexible key-value object
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/lms/users](/docs/api-reference/unified-lms-api/users/list) — List Users
- [GET /unified/lms/users/{id}](/docs/api-reference/unified-lms-api/users/get) — Get Users
